Subject: bug#57147: bug#57148: 27.2; Problem with kill-new

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 12 Aug 2022 17:53:57 +0200

Ihor Radchenko <[email-masked]> writes:

>> 3. emacs -Q -l /path/to/bug.el /path/to/bug.org
>> 4. S-<TAB>
>> 5. M-x my/copy-const
>> 6. C-y
>>
>> Expected: "Constant string" is inserted
>> Observed: Selected region is inserted.
>
> An amendment to the recipe:
>
> 4.5. Move point to bob, activate mark, and select down to the eob
>
> The whole Org buffer should be selected.

I have not tried to debug this, but if I remember correctly, there's
been some changes in the selection ownership code lately, so I'm adding
Po Lu to the CCs.